commit 404b5e2b53578d8b78471da5aaaaa80a85c6acc4
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jan 9 13:04:00 2013 +1000

    modesetting: bump to 0.6.0

commit 282e6876fc32d41648684b858e13130c97a58b8e
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jan 9 12:48:30 2013 +1000

    modesetting: fix crashes caused by udev race conditions
    
    So the kernel removes the device, and the driver processes the first
    udev event, and gets no output back from the kernel, so it check
    and don't fall over.
    
    This fixes a couple of crashes seen when hotplugging USB devices.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0ad9fb5109a3cd3bded6455aa2fca0a1fe18e980
Author: Thierry Reding <thierry.reding@avionic-design.de>
Date:   Thu Nov 8 14:28:10 2012 +0100

    Remove call to miInitializeBackingStore()
    
    Recent versions of the X server no longer provide this function, which
    has been obsolete for over 2 years now.
    
    Signed-off-by: Thierry Reding <thierry.reding@avionic-design.de>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 5b3f6e347ae1763f066848a07554e8d33e17662e
Author: Thierry Reding <thierry.reding@avionic-design.de>
Date:   Thu Nov 8 14:28:09 2012 +0100

    build: Put m4 macros in m4 subdirectory
    
    This silences a warning from libtoolize when running the autogen.sh
    script.
    
    Signed-off-by: Thierry Reding <thierry.reding@avionic-design.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 07e4b5c5e766d06a91178a0ff7589c842ee509fb
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 17 11:48:14 2012 +1000

    modesetting: remove alloca usage again
    
    this slipped back in.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit fcf9ddf3c6ddb531020b532123118ab0216e6e65
Author: Alon Levy <alevy@redhat.com>
Date:   Tue Aug 28 11:46:47 2012 +1000

    modesetting: add virtual connector support
    
    [airlied: also make sure we don't crash in future.]
    
    Signed-off-by: Alon Levy <alevy@redhat.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e00ef802391af73310c0ee0ee78254228bc29075
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Thu Sep 13 08:45:14 2012 +0200

    bump version to 0.5.0

commit 2b9531d969e7c106391b509a64c16257a5109fed
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 19 22:15:10 2012 +0000

    Implement ->driverFunc
    
    Copied from fbdev, makes it so we can run without iopl.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2802071fa9d421a2998d4971671b5c4275d3d435
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 19 14:12:59 2012 +1000

    modesetting: add output slave support.
    
    This allows the driver to operate as an output slave.
    
    It adds scan out pixmap, and the capability
    checks to make sure they available.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 65054df028047137c7e6b1c749611c751041d7a5
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jun 5 14:43:21 2012 +0100

    modesetting: add platform bus support

commit 28458c2e6314a4df9be9424f62ffdf8fc77d4d6e
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jul 25 15:38:34 2012 +1000

    modesetting: fix warning about close being undefined.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 95d76b7718c7e0f4564223c65802bb78f01c582d
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jul 25 15:33:52 2012 +1000

    modesetting: drop useless xf86PciInfo include
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d9bb1847cdd0d60814e40010e0d8fd715bad1eee
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 22 15:24:43 2012 +0100

    modesetting 0.4.0: bump configure.ac

commit 831e32e8f60b4713a6e9576e2b7f0ca19be2dcf3
Author: Dave Airlie <airlied@gmail.com>
Date:   Fri Jun 22 15:26:28 2012 +0100

    modesetting: pci probing requires interface version 1.4
    
    Set the drm interface version to 1.4 so we get the bus id correctly.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 12c15dd838e9663ffd2f71460feea7b343a7b423
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jun 5 14:41:18 2012 +0100

    modesetting: workaround kernel bug reporting 0x0 as valid mins
    
    It reports these but then you can't create a 0 sized bo.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e59b40a88b7e9ec11ec6e87106ef0bbc66238d69
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 1 12:34:42 2012 +0100

    modesetting: bump to latest X server compat api.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d5b9d65fa2435502464a8498d05e5c58bd817bec
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:31:39 2012 +0100

    modesetting: fix make distcheck
    
    add missing compat header file.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 93f59c6eb5d3bbacdde8676eb016329644005596
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:21:55 2012 +0100

    modesetting: convert to new scrn conversion APIs.
    
    Generated with util/modular/x-driver-screen-scrn-conv.sh
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 5a8b7966729f114b354dd6606cfb340035cd82f5
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:21:39 2012 +0100

    modesetting: add compat header file
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 65890bd37d66043c970893e1f1bebb81a5a7398c
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 9 09:33:54 2012 +0100

    bump version to 0.3.0

commit ff16713c53bcb750cab723ba3314d9188d23e7e0
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed May 9 00:26:29 2012 -0400

    configure.ac: remove DRI and RENDER
    
    Driver doesn't support either of these.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0ecfdf19a9745ad4a0c8680b6dae542f50d3a212
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 9 09:32:05 2012 +0100

    modesetting: make sure the pci device corresponds to the drm device
    
    If we get asked to pci open a device with a kms path override,
    make sure they match, otherwise this driver can steal the primary
    device binding for a usb adaptor.
    
    The driver should fallback to the old probe entry point in this case.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d12d9ac5cae7a4287e7ba1f137209574bc0c5b17
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue May 1 17:12:29 2012 +0100

    modesetting: attempt to work out if we want 24 or 32bpp
    
    the cirrus driver presents certain challenges, and this is a
    workaround, until we can possibly agree some sane interface
    for exposing this information.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 288d197f706804194ef9977baa50d566142e2acc
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue May 1 16:52:18 2012 +0100

    modesetting: move opening kernel device to before setting depth
    
    due to interaction between option handling and set depth, we need
    to what fbdev does to get the device path early.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 296d08ef590063fcc6f268778bc012df2d0243c4
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 17 11:50:40 2012 +0100

    modesetting: add set/drop master around VT switch

commit d0db3b74acad13106cac19199da115b78a29207b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 17 11:48:03 2012 +0100

    cursor: hide cursors on LeaveVT

commit a9e49bd15bb5e525e64f95b1531975ad1997eafb
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Apr 14 19:21:47 2012 +0100

    dirty: check malloc return
    
    Suggested by keithp.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 87ddde9511d01138a10f38356545923d758e5408
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Apr 14 15:01:16 2012 +0100

    drop use of alloca, just use malloc/free
    
    Reported-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6760dfc692dd4d3f662cc82e5b7610f8ec2ebdc0
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Mar 23 14:54:05 2012 +0000

    modesetting: fix build against older Xext

commit 3b5fded4dc0c1c77bdd105b104dcb6ba21864d5c
Author: Sascha Hauer <s.hauer@pengutronix.de>
Date:   Sat Mar 3 14:09:25 2012 +0100

    make busID non mandatory
    
    Currently the driver only probes a device when it has a
    busID. The busID is optional so don't depend on it.
    
    Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e4dba8dabeb3a87a092eefde836e611dbe07b697
Author: Sascha Hauer <s.hauer@pengutronix.de>
Date:   Sat Mar 3 14:09:27 2012 +0100

    do not bail out on non pci devices
    
    To make the driver work on nin PCI devices we shouldn't bail
    out in this case.
    
    Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a9bc885e92ac1c34d6630e2331c4fbfb8876b09f
Author: Sascha Hauer <s.hauer@pengutronix.de>
Date:   Sat Mar 3 14:09:26 2012 +0100

    Fix non PCI device probing
    
    When no devicename is found in the option then the driver probes
    by PciInfo no matter if it's valid or not. Instead of doing this
    use PciInfo only when it's valid and fall back to the devicename
    otherwise. With devicename probing use open_hw() to fall back
    on the KMSDEVICE environment variable or to the default device.
    
    Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 90caeb0839a7bd0f0e49e6ad0d8bd948e1fd9faa
Author: Sascha Hauer <s.hauer@pengutronix.de>
Date:   Sat Mar 3 14:09:24 2012 +0100

    introduce open_hw() function
    
    probe_hw opens the hardware in the order we want it:
    first try devname, if this is NULL then try the KMSDEVICE
    environment variable and as a last fallback use "/dev/dri/card0".
    Instead of implementing the same code again when really opening
    the device move the code to a open_hw() function and let probe_hw
    use it.
    
    Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 2c2a3743347652a964315a91b1e7d066e90bfc6a
Author: Sascha Hauer <s.hauer@pengutronix.de>
Date:   Sat Mar 3 14:09:23 2012 +0100

    fix if() brackets in Probe function
    
    in Probe() the indention shows what's meant but there are no
    brackets. Add them.
    
    Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 07162838c91fd731cba4314409a35be02d851fb6
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 22 10:07:06 2012 +0000

    xf86-video-modesetting 0.2.0

commit 06af66f018764c0d811e41b8d2808f3a9e5a5ade
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 22 09:59:12 2012 +0000

    modesetting: fix warnings, remove dead code.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit eb8fd8fdb8ba730f4fc47f1293cb9c0bea3dfd4a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 16:13:34 2012 -0500

    config: layout and comment the top portion of configure.ac
    
    Reorder statements to be consistent with other modules so things
    are easier to find.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ffefc3e37048c10470d17206af755953e2fa67f1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:36:19 2012 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bf26bb974c1e47b8848ddab7dc2b2fe5d5f4fe72
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:36:17 2012 -0500

    make: add all warnings according to the platform
    
    The current code only adds -Wall and only for gcc.
    Automake reserves the use of CPPFLAGS for the user to override
    on the command line.
    This also breaks the option --enable-strict-compilation
    
    The variable CWARNFLAGS contains the complete set of warnings
    and is platform sensitive.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7a2d46d0031b89cdf21717f0e64afca88ba116db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:36:16 2012 -0500

    make: remove empty variable assignment
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3fa7fe00f7b954236bf5262614a0ad1002f1a1d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:36:15 2012 -0500

    Remove unneeded AM_PROG_CC_C_CO
    
    There are no objects in subdirs or compiled multiple times
    with different flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e312659c698f256eb90bca8b23407bafeb9a0be7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:28 2012 -0500

    Remove redundant AC_PROG_CC
    
    Already covered by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d6087ea8e87e30f9d831198d0102aeeeb7d67960
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:27 2012 -0500

    Replace obsolete AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d0d91eeab21f6b615905b71d07d62688502f1f9c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:26 2012 -0500

    Add missing targets for ChangeLog and INSTALL
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit abf9b0263211296a34279094cb92d2465d83e05d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:25 2012 -0500

    Remove redundant EXTRA_DIST for the README file.
    
    Autotools know about it, it is always distributed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7ec1a88be3f40eb4b1189cdb9ee60d431231c3b4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:24 2012 -0500

    make: remove redundant AUTOMAKE_OPTIONS
    
    Already covered by AM_INIT_AUTOMAKE([foreign dist-bzip2])
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 81b63547599edaee7a2dc3ebb06e3e4e537d3f84
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:23 2012 -0500

    Fix typo in .gitignore
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 81e1cd9337fb7b2efacb35a6d0af9f7ab7ba74f0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:22 2012 -0500

    man: missing AM_V_GEN and hard-coded sed command name
    
    Let's use the common xorg makefile for all drivers.
    This ensures no new problems are introduced.
    Improvements are welcome and to be applied to all drivers.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3189196ece713ca7a0058d2d76e0eaaf9757fc35
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:21 2012 -0500

    Add contact information to the README file
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a5edc0cfba9618e37f5c9eb3305e78f298f4f16b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 19 08:34:20 2012 -0500

    Fill the COPYING file with license text
    
    This reflects the copyright license text in the source code
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 230970fd5ab80a30dd9c79bccc3328463250fb9f
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 20 11:08:40 2012 +0000

    modesetting: disable dirty updates for ENOSYS
    
    the kernel can also return ENOSYS for this to say its not used.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 24f2790951dd4b1f1fd138f2087248a005a64e27
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 20 11:05:59 2012 +0000

    modesetting: fix shadow resizing.
    
    if we hotplugged and output, the shadow got disabled by accident.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 027a799d85a9d5cd8d599dc6f88e5a38adabe68b
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 20 11:00:56 2012 +0000

    modesetting: move shadow stuff to other structure
    
    we need this for resize to work properly.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit c4e451ac9229de32fd69e4f446fa740af55e014a
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 20 10:54:36 2012 +0000

    modesetting: fix stride if kernel modifies it.
    
    If the kernel aligns things use its values instead.
    
    fixes output on nouveau here.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3e3061738d6bcc651b849767a53ee9764f96f1a9
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Feb 20 10:54:21 2012 +0000

    shadowfb: dump shadowfb state at startup

commit 2fb4879ffd4e78f69ad628bb7dd6b6e678a63181
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Feb 16 19:41:40 2012 +0000

    use a cap to decide if shadow is preferred or not.

commit 2777730a1d2fb5282732986d39b80ff862ff7b64
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Feb 16 19:41:30 2012 +0000

    cleanup dumb cap fetch

commit e2c10455d701722ee7a9f327d992070b1df2560b
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Nov 14 11:22:44 2011 +0000

    modesetting: add cursor fallback if kernel rejects cursor.
    
    If the kernel rejects a cursor, cause a fallback, this isn't 100% as
    we can lose the initial cursor, but it works fine once wm starts.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 21f90c3fdfcc6da10051e45ef771038ee7650cfb
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Feb 16 19:31:33 2012 +0000

    fix some whitespace

commit ce7b289ab19e7838a20208a345929589c7b752dc
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Oct 5 15:12:43 2011 +0100

    fixup device open
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cc00491b3eca16b2e2bdb48fa3d8e5ffba7a9671
Author: James Simmons <jsimmons@infradead.org>
Date:   Thu Nov 3 13:20:18 2011 +0000

    don't map cursors in sw cursor mode

commit b09c4757a91c2c2b18f1c828e0c23af794399816
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Nov 3 13:18:46 2011 +0000

    configure: don't require xvmc.
    
    Not needed in here

commit cab577dbb308c18929aecab24d1a1801eefcaf30
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Oct 3 16:09:12 2011 +0100

    fix fb_id for dirty reporting

commit 5b8167833eee5c6cab9e01bbcfe27296c6a63157
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Oct 3 11:35:39 2011 +0100

    fix make distcheck

commit d68278caa04f165c85f5d927abcf5fcc084eaa94
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 16:06:52 2011 +0100

    check drm support dumb buffer capability

commit 82ba85fca8416635ff28c19c4b38fa2fe9820481
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 16:00:50 2011 +0100

    add initial man page

commit bb848a788f8dae6f54eb2c03eb2046066732e6e8
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 15:55:36 2011 +0100

    add shadowfb support, default to on.
    
    we should probably expose a bit from kernel to say if shadow is preferred
    or wasteful.

commit f699c4dc6fd2a34555045950d75ba287723a1e06
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 15:55:24 2011 +0100

    remove unused debug

commit 9772f3e16b0e15ea48463c8af7e5c28ece116dea
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 14:13:58 2011 +0100

    add -Wall, cleanup warnings

commit 1b9690d2b1f1bc33f149ff7ab8950b24029c030c
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 14:05:43 2011 +0100

    fix server recycling

commit 59a4776f7b4e0f9bbbafe62972487354a8fabda0
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 12:38:26 2011 +0100

    port damage tracking code from st/xorg

commit 7307ff4dd1a6cbfa1e4311ec2c6efc26eb81a434
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 12:34:27 2011 +0100

    drop loading dri2

commit 0ca055f7b19e60df8ba4aa44522e06e06c1222f1
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 12:34:17 2011 +0100

    update authors/copyright

commit ac7b8e43842858b8787b1f7ede4d547eece77e5e
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 12:30:46 2011 +0100

    gut some more unneeded code

commit ffb6bb4deb827c369faadd77495d7cae4acc2a42
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 12:28:59 2011 +0100

    modesetting: rewrite probing based on fbdev.
    
    This isn't perfect, it should really do more with bus id matching
    and finding the write drm device using sysfs if it can. but it removes
    lots of hardcoding of pci ids.

commit ec9374e4210ab36a07209e27a79922545eafd5e2
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 11:52:51 2011 +0100

    cleanup some the drmmode_display header file

commit 74c284ac4ee24cd32309843d8d191e0a0339677b
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Sep 29 11:49:26 2011 +0100

    modesetting: restart driver effort from other codebases
    
    This starts a randr 1.2 compatible driver with cursors.
    
    TODO:
    libkms
    dirty handling
    server recycling.

commit 4828e4172cc363e17943334ab7d75243e75d344b
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Mar 10 09:13:50 2011 +1000

    drop exa
    
    don't provide accel in this framework

commit eb08f85954cc0b891d480047d4a0cb5faec2a73a
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Mar 8 10:54:21 2010 -0500

    Don't check for Xinerama.
    
    It doesn't seem to be used anywhere, so don't require it.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit cf8153b86e2a134bc773eca4348aa22795cbedac
Author: Thomas Hellstrom <thomas-at-tungstengraphics.com>
Date:   Mon Jun 30 18:59:13 2008 +0100

    Avoid an EXA init segfault.
    Don't allocate each VRAM buffer with a 16MB alignment.

commit bb83cfb5d1bccce94aa048c507695b78821604cc
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Fri Jun 27 17:32:28 2008 +0100

    fixes for gallium stride changes

commit 038ba94f415e5289d7b68de55c28385f8d215e4a
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Fri Jun 27 09:46:24 2008 +0100

    More error checking

commit 0399bd57838141ca1d39d91a274cfcb1d132ef94
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 23:34:51 2008 +0100

    add --with-gallium-dir to specify location of gallium tree

commit 88ec23b85e32bacd6cbd9a9422a35bdc5bd47331
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:49:33 2008 +0100

    NULL checks

commit 4c0a438f937bf8e473e8e2c120d9702cdf39ddb8
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:47:20 2008 +0100

    Fix copy surface

commit acb7da8c7979659bcfdfef7a6ee5b402f6fb366b
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:27:44 2008 +0100

    Add EXA winsys for gallium pipe driver interface.
    
    Plug in the EXA framework into the pipe driver
    for surface_copy & surface_fill.
    
    Back pixmaps with drmBO's including the front buffer.

commit 169e39c504a0ac52828108a4490fc45198812fd1
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:27:14 2008 +0100

    yet more

commit c51bdce9ad1487735411461c7116913030e4580e
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:26:16 2008 +0100

    more formatting fixes

commit 0a4dc6bd55b20cfe9cba788c38f2fb3acedddcdd
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Thu Jun 26 22:25:17 2008 +0100

    formatting fixes

commit 3390583c92f2dfb1d525bb55d25edf6ce8b753ae
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Mon Jun 16 15:07:39 2008 +0100

    Add DRI2 support.
    
    Add EXA stubs.
    
    Currently tested with i915.

commit ec2814a34db917f9bf3749476461135fa1a83227
Author: Zack Rusin <zack@tungstengraphics.com>
Date:   Mon Jun 16 00:31:53 2008 -0400

    Adding some readme.

commit fd397eb0a5b35ffaf278e1d8bad8b8e43a15bb70
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Mon Jun 2 11:17:47 2008 +0100

    Bring inline with current modesetting-101 branch for connector/encoder changes

commit 4f5b87bb2133c766baee7b7353db62c2df9851e0
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Wed May 28 19:59:38 2008 +0100

    Plug in hardware cursor support

commit d0fa72447735a2288b2f492a27168d4aa42912b6
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Wed May 28 15:55:36 2008 +0100

    Run indent

commit b212306ae7bd3a79fb290a32ebd3952c2cba846d
Author: Alan Hourihane <alanh@tungstengraphics.com>
Date:   Wed May 28 13:33:07 2008 +0100

    Initial commit of new modesetting driver
